Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.outrigger.logstore
Class LogStore

    java.lang.Object
      com.sun.jini.outrigger.logstore.LogStore

All Implemented Interfaces:
  Store

public class LogStore
extends Object
implements Store

See Also:
  `OutriggerServerImpl`

Constructor Summary
`LogStore(Configuration config)` Create a new `LogStore`.

Method Summary
`void` | `close()` Close the store, release VM resources (stop independent threads, close files, etc.) but do not destroy any persistent state.
`void` | `destroy()` Destroy everything.
`LogOps` | `setupStore(Recover space)` Setup store, recover previous state if any.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogStore

    public LogStore(Configuration config)
             throws ConfigurationException

  Create a new `LogStore`.

Parameters:
  `config` - the directory to use for persistence.

Method Detail

### setupStore

    public LogOps setupStore(Recover space)

  Setup store, recover previous state if any.

  Specified by:
    `setupStore` in interface `Store`
  Parameters:
    `space` - object used for recovery of previous state
  Returns:
    object used to persist state

### destroy

    public void destroy()
                 throws IOException

  Destroy everything.

  Specified by:
    `destroy` in interface `Store`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Description copied from interface: `Store`
  Close the store, release VM resources (stop independent threads, close files, etc.) but do not destroy any persistent state. This method is used when there is a failure in `OutriggerServerImpl` constructor.

  Specified by:
    `close` in interface `Store`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved